[arch-commits] Commit in xplc/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Apr 22 00:48:05 EDT 2009


    Date: Wednesday, April 22, 2009 @ 00:48:05
  Author: eric
Revision: 36410

upgpkg: xplc 0.3.13-2
    Changed gcc depends to gcc-libs, FHS man pages, Added license, Fixed man page symlink

Modified:
  xplc/trunk/PKGBUILD

----------+
 PKGBUILD |   16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-22 04:45:25 UTC (rev 36409)
+++ PKGBUILD	2009-04-22 04:48:05 UTC (rev 36410)
@@ -2,19 +2,21 @@
 # Maintainer: dorphell <dorphell at archlinux.org>
 pkgname=xplc
 pkgver=0.3.13
-pkgrel=1
+pkgrel=2
 pkgdesc="Cross-Platform Lightweight Components"
 arch=(i686 x86_64)
 url="http://xplc.sourceforge.net"
-depends=('gcc')
+license=('LGPL')
+depends=('gcc-libs')
 source=(http://downloads.sourceforge.net/sourceforge/xplc/$pkgname-$pkgver.tar.gz)
 md5sums=('39da3270527c8712b8e8fcf03768d29f')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --without-libuuid
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man --without-libuuid || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  rm -f $startdir/pkg/usr/bin/uuidgen
-  rm -f $startdir/pkg/usr/man/man1/uuidgen.1
+  make DESTDIR=$pkgdir install || return 1
+  ln -sf uuidgen.1.gz $pkgdir/usr/share/man/man1/uuidcdef.1
+  rm -f $pkgdir/usr/bin/uuidgen
+  rm -f $pkgdir/usr/share/man/man1/uuidgen.1
 }



More information about the arch-commits mailing list